The website uses cookies. By using this site, you agree to our use of cookies as described in the Privacy Policy.
I Agree
blank_error__heading
blank_error__body
Text direction?

Containerd distributions should contain v2 shim binaries #3894

Closed
Random-Liu opened this issue on Dec 17, 2019 · 6 comments
Assignees
Milestone

Comments

Copy link
Member

Since containerd 1.3, the cri plugin started using the shim v2 binary containerd-shim-runc-v1 by default.

Since containerd 1.4, it started using the shim v2 binary containerd-shim-runc-v2 by default. containerd/cri#1359

Containerd distributions should make sure that they contain the 2 new shim binaries in the package.

Why kind/bug?

Copy link
Member Author

Random-Liu commented on Dec 18, 2019
edited

@AkihiroSuda Hm, I didn't add that...

I guess the template automatically added it. :P

Copy link
Contributor

For docker's packaging: docker/containerd-packaging#141

Copy link
Member

Is there anything we need to take an action?

Copy link
Contributor

we package both, so I think we are good:

$ tar ztf containerd-1.3.5-linux-amd64.tar.gz
bin/
bin/ctr
bin/containerd-shim-runc-v1
bin/containerd-stress
bin/containerd
bin/containerd-shim-runc-v2
bin/containerd-shim
Copy link
Member

If the scope of this issue is our containerd release tar we are good. If the scope of this issue is containerd.io as distributed by distros we are still stuck at 1.2.13.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Assignees

mikebrow

Labels
None yet
Projects
None yet
Milestone
1.4
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
5 participants
Measure
Measure
Related Notes
Get a free MyMarkup account to save this article and view it later on any device.
Create account

End User License Agreement

Summary | 2 Annotations
cri plugin started using the shim v2 binary
2020/07/27 09:21
containerd 1.4,
2020/07/27 09:23